[ovs-dev] [PATCH] sat-math: Do not use __builtin_s*_overflow() with sparse.

Ben Pfaff blp at ovn.org
Wed Aug 21 17:45:45 UTC 2019


On Wed, Aug 21, 2019 at 10:20:36AM -0700, Justin Pettit wrote:
> 
> 
> > On Aug 21, 2019, at 10:17 AM, Ben Pfaff <blp at ovn.org> wrote:
> > 
> > Some versions of sparse do not understand __builtin_saddll_overflow() and
> > related GCC builtins for calculations with overflow detection.  This patch
> > avoids using them when sparse is in use.
> > 
> > Reported-by: Justin Pettit <jpettit at ovn.org>
> > Tested-by: Justin Pettit <jpettit at ovn.org>
> > Signed-off-by: Ben Pfaff <blp at ovn.org>
> 
> Acked-by: Justin Pettit <jpettit at ovn.org>

Thanks, applied and backported.


More information about the dev mailing list